Bit Digital Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bit-digital-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/1710350/000121390025076608/ea0251448-10q_bitdigital.htm",
    "holding_balance": 280.4,
    "holding_net_change": -137.2,
    "transaction_value_usd": 14708288.644,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/1710350/000121390025110383/ea0263546-10q_bitdigital.htm",
    "holding_balance": 6.1,
    "holding_net_change": -274.3,
    "transaction_value_usd": 31304915.408,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/1710350/000121390026035544/ea0279621-10k_bitdigit.htm#fact-identifier-1214",
    "holding_balance": 4,
    "holding_net_change": -2.1,
    "transaction_value_usd": 183731.688,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4.0
  ],
  [
    1779062400000,
    4.0
  ],
  [
    1779148800000,
    4.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    309719.44
  ],
  [
    1779062400000,
    307777.08
  ],
  [
    1779148800000,
    307040.04
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.74,
    "date": "2026-05-15",
    "high": 1.97,
    "open": 1.96,
    "close": 1.805,
    "volume": 31622900
  },
  {
    "low": 1.63,
    "date": "2026-05-18",
    "high": 1.79,
    "open": 1.78,
    "close": 1.7,
    "volume": 19798500
  },
  {
    "low": 1.64,
    "date": "2026-05-19",
    "high": 1.77,
    "open": 1.665,
    "close": 1.73,
    "volume": 19647630
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.035,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.035
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 5.49,
  "six_month_return": -28.22,
  "three_month_return": 6.13
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bit-digital-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.1,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}